<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: Tensor3D Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.xhtml"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="inherits.xhtml"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.xhtml"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('struct_tensor3_d.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">Tensor3D Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Structure to hold 3D tensor information.  
 <a href="struct_tensor3_d.xhtml#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="helpers_8h_source.xhtml">helpers.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:acf52c23cbd7424606c10a606524e3e32"><td class="memItemLeft" align="right" valign="top">__global uchar *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_tensor3_d.xhtml#acf52c23cbd7424606c10a606524e3e32">ptr</a></td></tr>
<tr class="memdesc:acf52c23cbd7424606c10a606524e3e32"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to the starting postion of the buffer.  <a href="#acf52c23cbd7424606c10a606524e3e32">More...</a><br /></td></tr>
<tr class="separator:acf52c23cbd7424606c10a606524e3e32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35e5a91338398273f3b4a6010004bddd"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_tensor3_d.xhtml#a35e5a91338398273f3b4a6010004bddd">offset_first_element_in_bytes</a></td></tr>
<tr class="memdesc:a35e5a91338398273f3b4a6010004bddd"><td class="mdescLeft">&#160;</td><td class="mdescRight">The offset of the first element in the source image.  <a href="#a35e5a91338398273f3b4a6010004bddd">More...</a><br /></td></tr>
<tr class="separator:a35e5a91338398273f3b4a6010004bddd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae01febbfd0689ef709f3ff6fdd2abc7e"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_tensor3_d.xhtml#ae01febbfd0689ef709f3ff6fdd2abc7e">stride_x</a></td></tr>
<tr class="memdesc:ae01febbfd0689ef709f3ff6fdd2abc7e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stride of the image in X dimension (in bytes)  <a href="#ae01febbfd0689ef709f3ff6fdd2abc7e">More...</a><br /></td></tr>
<tr class="separator:ae01febbfd0689ef709f3ff6fdd2abc7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f0b90c9ecd6e57ceb3f37332fefe8f1"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_tensor3_d.xhtml#a4f0b90c9ecd6e57ceb3f37332fefe8f1">stride_y</a></td></tr>
<tr class="memdesc:a4f0b90c9ecd6e57ceb3f37332fefe8f1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stride of the image in Y dimension (in bytes)  <a href="#a4f0b90c9ecd6e57ceb3f37332fefe8f1">More...</a><br /></td></tr>
<tr class="separator:a4f0b90c9ecd6e57ceb3f37332fefe8f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5ff7a2b2bd0eec50fe09c254b127d1c"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_tensor3_d.xhtml#ad5ff7a2b2bd0eec50fe09c254b127d1c">stride_z</a></td></tr>
<tr class="memdesc:ad5ff7a2b2bd0eec50fe09c254b127d1c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stride of the image in Z dimension (in bytes)  <a href="#ad5ff7a2b2bd0eec50fe09c254b127d1c">More...</a><br /></td></tr>
<tr class="separator:ad5ff7a2b2bd0eec50fe09c254b127d1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Structure to hold 3D tensor information. </p>

<p>Definition at line <a class="el" href="helpers_8h_source.xhtml#l00104">104</a> of file <a class="el" href="helpers_8h_source.xhtml">helpers.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a35e5a91338398273f3b4a6010004bddd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int offset_first_element_in_bytes</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The offset of the first element in the source image. </p>

<p>Definition at line <a class="el" href="helpers_8h_source.xhtml#l00107">107</a> of file <a class="el" href="helpers_8h_source.xhtml">helpers.h</a>.</p>

<p>Referenced by <a class="el" href="helpers_8h_source.xhtml#l00171">update_tensor3D_workitem_ptr()</a>.</p>

</div>
</div>
<a class="anchor" id="acf52c23cbd7424606c10a606524e3e32"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__global uchar* ptr</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to the starting postion of the buffer. </p>

<p>Definition at line <a class="el" href="helpers_8h_source.xhtml#l00106">106</a> of file <a class="el" href="helpers_8h_source.xhtml">helpers.h</a>.</p>

<p>Referenced by <a class="el" href="convolution__layer_8cl_source.xhtml#l00175">col2im()</a>, <a class="el" href="convolution__layer_8cl_source.xhtml#l00208">im2col_reduced()</a>, <a class="el" href="normalization__layer_8cl_source.xhtml#l00059">normalization_layer_cross_map()</a>, <a class="el" href="normalization__layer_8cl_source.xhtml#l00124">normalization_layer_in_map()</a>, <a class="el" href="convolution__layer_8cl_source.xhtml#l00053">reshape_to_columns()</a>, <a class="el" href="helpers_8h_source.xhtml#l00213">tensor3D_offset()</a>, and <a class="el" href="helpers_8h_source.xhtml#l00171">update_tensor3D_workitem_ptr()</a>.</p>

</div>
</div>
<a class="anchor" id="ae01febbfd0689ef709f3ff6fdd2abc7e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int stride_x</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Stride of the image in X dimension (in bytes) </p>

<p>Definition at line <a class="el" href="helpers_8h_source.xhtml#l00108">108</a> of file <a class="el" href="helpers_8h_source.xhtml">helpers.h</a>.</p>

<p>Referenced by <a class="el" href="convolution__layer_8cl_source.xhtml#l00175">col2im()</a>, and <a class="el" href="helpers_8h_source.xhtml#l00213">tensor3D_offset()</a>.</p>

</div>
</div>
<a class="anchor" id="a4f0b90c9ecd6e57ceb3f37332fefe8f1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int stride_y</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Stride of the image in Y dimension (in bytes) </p>

<p>Definition at line <a class="el" href="helpers_8h_source.xhtml#l00109">109</a> of file <a class="el" href="helpers_8h_source.xhtml">helpers.h</a>.</p>

<p>Referenced by <a class="el" href="convolution__layer_8cl_source.xhtml#l00175">col2im()</a>, and <a class="el" href="helpers_8h_source.xhtml#l00213">tensor3D_offset()</a>.</p>

</div>
</div>
<a class="anchor" id="ad5ff7a2b2bd0eec50fe09c254b127d1c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int stride_z</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Stride of the image in Z dimension (in bytes) </p>

<p>Definition at line <a class="el" href="helpers_8h_source.xhtml#l00110">110</a> of file <a class="el" href="helpers_8h_source.xhtml">helpers.h</a>.</p>

<p>Referenced by <a class="el" href="convolution__layer_8cl_source.xhtml#l00175">col2im()</a>, and <a class="el" href="helpers_8h_source.xhtml#l00213">tensor3D_offset()</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>src/core/CL/cl_kernels/<a class="el" href="helpers_8h_source.xhtml">helpers.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct_tensor3_d.xhtml">Tensor3D</a></li>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:09 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
